Loading...
Searching...
No Matches
apr_tables.h File Reference

APR Table library. More...

`#include "apr.h"`
`#include "apr_pools.h"`
Include dependency graph for apr_tables.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | apr_array_header_t
struct | apr_table_entry_t

## Macros

#define | APR_ARRAY_IDX(ary, i, type) (((type *)(ary)->elts)[i])
#define | APR_ARRAY_PUSH(ary, type) (*((type *)apr_array_push(ary)))
#define | APR_OVERLAP_TABLES_SET (0)
#define | APR_OVERLAP_TABLES_MERGE (1)
#define | APR_OVERLAP_TABLES_ADD (2)

## Typedefs

typedef struct apr_table_t | apr_table_t
typedef struct apr_array_header_t | apr_array_header_t
typedef struct apr_table_entry_t | apr_table_entry_t
typedef int() | apr_table_do_callback_fn_t(void *rec, const char *key, const char *value)

## Functions

const apr_array_header_t * | apr_table_elts (const apr_table_t *t)
int | apr_is_empty_table (const apr_table_t *t)
int | apr_is_empty_array (const apr_array_header_t *a)
apr_array_header_t * | apr_array_make (apr_pool_t *p, int nelts, int elt_size)
void * | apr_array_push (apr_array_header_t *arr)
void * | apr_array_pop (apr_array_header_t *arr)
void | apr_array_clear (apr_array_header_t *arr)
void | apr_array_cat (apr_array_header_t *dst, const apr_array_header_t *src)
apr_array_header_t * | apr_array_copy (apr_pool_t *p, const apr_array_header_t *arr)
apr_array_header_t * | apr_array_copy_hdr (apr_pool_t *p, const apr_array_header_t *arr)
apr_array_header_t * | apr_array_append (apr_pool_t *p, const apr_array_header_t *first, const apr_array_header_t *second)
char * | apr_array_pstrcat (apr_pool_t *p, const apr_array_header_t *arr, const char sep)
apr_table_t * | apr_table_make (apr_pool_t *p, int nelts)
apr_table_t * | apr_table_copy (apr_pool_t *p, const apr_table_t *t)
apr_table_t * | apr_table_clone (apr_pool_t *p, const apr_table_t *t)
void | apr_table_clear (apr_table_t *t)
const char * | apr_table_get (const apr_table_t *t, const char *key)
const char * | apr_table_getm (apr_pool_t *p, const apr_table_t *t, const char *key)
void | apr_table_set (apr_table_t *t, const char *key, const char *val)
void | apr_table_setn (apr_table_t *t, const char *key, const char *val)
void | apr_table_unset (apr_table_t *t, const char *key)
void | apr_table_merge (apr_table_t *t, const char *key, const char *val)
void | apr_table_mergen (apr_table_t *t, const char *key, const char *val)
void | apr_table_add (apr_table_t *t, const char *key, const char *val)
void | apr_table_addn (apr_table_t *t, const char *key, const char *val)
apr_table_t * | apr_table_overlay (apr_pool_t *p, const apr_table_t *overlay, const apr_table_t *base)
int | apr_table_do (apr_table_do_callback_fn_t *comp, void *rec, const apr_table_t *t,...)
int | apr_table_vdo (apr_table_do_callback_fn_t *comp, void *rec, const apr_table_t *t, va_list vp)
void | apr_table_overlap (apr_table_t *a, const apr_table_t *b, unsigned flags)
void | apr_table_compress (apr_table_t *t, unsigned flags)

## Detailed Description

APR Table library.